sporadic mochitest failure: test_bug299673-1.html | unexpected events - got " : Test with browser.link.open_newwindow ...

RESOLVED FIXED in mozilla1.9.3a4

Status

()

Core
Event Handling
RESOLVED FIXED
8 years ago
5 years ago

People

(Reporter: dholbert, Assigned: mats)

Tracking

({intermittent-failure})

Trunk
mozilla1.9.3a4
x86
All
intermittent-failure
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

8 years ago
Just seen on a mac mochitest tinderbox:

{
29612 ERROR TEST-UNEXPECTED-FAIL | /tests/content/events/test/test_bug299673-1.html | unexpected events - got " :  Test with browser.link.open_newwindow = 2\nSELECT(Select1): focus \nSELECT(Select1): change \n :  >>> OpenWindow\n: blur top-doc\n: focus popup-doc\nINPUT(popupText1): focus \n :  <<< OpenWindow\nSELECT(Select1): blur \nINPUT(popupText1): blur \n: blur popup-doc\n: focus top-doc\n", expected " :  Test with browser.link.open_newwindow = 2\n: focus top-doc\nSELECT(Select1): focus \nSELECT(Select1): change \n :  >>> OpenWindow\n: blur top-doc\n: focus popup-doc\nINPUT(popupText1): focus \n :  <<< OpenWindow\nSELECT(Select1): blur \nINPUT(popupText1): blur \n: blur popup-doc\n: focus top-doc\n"
}

and later on (possibly related):
{
124494 INFO Error: Unable to restore focus, expect failures and timeouts.
}


http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1255047665.1255049977.2606.gz
OS X 10.5.2 mozilla-central test mochitests on 2009/10/08 17:21:05

This looks sporadic to me, because the "guilty" range is:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=9a1edbfb79c8&tochange=43a0dcbc8c59
which just has two changesets: a windows-only fix, and a simple compile-warnings fix in plugin code.
(Reporter)

Updated

8 years ago
Blocks: 299673
Whiteboard: [orange]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256025114.1256028146.22384.gz
OS X 10.5.2 mozilla-central test mochitests on 2009/10/20 00:51:54  
29583 ERROR TEST-UNEXPECTED-FAIL | /tests/content/events/test/test_bug299673-1.html | unexpected events - got " :  Test with browser.link.open_newwindow = 2\nSELECT(Select1): focus \nSELECT(Select1): change \n :  >>> OpenWindow\n: blur top-doc\n: focus popup-doc\nINPUT(popupText1): focus \n :  <<< OpenWindow\nSELECT(Select1): blur \nINPUT(popupText1): blur \n: blur popup-doc\n: focus top-doc\n", expected " :  Test with browser.link.open_newwindow = 2\n: focus top-doc\nSELECT(Select1): focus \nSELECT(Select1): change \n :  >>> OpenWindow\n: blur top-doc\n: focus popup-doc\nINPUT(popupText1): focus \n :  <<< OpenWindow\nSELECT(Select1): blur \nINPUT(popupText1): blur \n: blur popup-doc\n: focus top-doc\n"
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256486031.1256486535.9128.gz
OS X 10.5.2 mozilla-central test opt mochitests-1/5 on 2009/10/25 08:53:51
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256738536.1256739223.4517.gz
OS X 10.5.2 mozilla-central test opt mochitests-1/5 on 2009/10/28 07:02:16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256954109.1256955367.14538.gz
WINNT 5.2 mozilla-central test debug mochitests-1/5 on 2009/10/30 18:55:09
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257320779.1257322218.19289.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257848475.1257848832.32506.gz
OS X 10.5.2 mozilla-central opt test mochitests-1/5
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258513673.1258514817.14580.gz&fulltext=1
WINNT 5.2 mozilla-central debug test mochitests-1/5
(Reporter)

Comment 8

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259179911.1259182157.22563.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2009/11/25 12:11:51
"s: moz2-win32-slave33"

See also bug 524361,  for a similar failure in the "-2" version of this test.
OS: Mac OS X → All
See Also: → bug 524361
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259703186.1259704575.19489.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2009/12/01 13:33:06
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259700631.1259703491.7134.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2009/12/01 12:50:31
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260820952.1260822393.31768.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2009/12/14 12:02:32
s: win32-slave18

29851 ERROR TEST-UNEXPECTED-FAIL | /tests/content/events/test/test_bug299673-1.html | unexpected events - got " :  Test with browser.link.open_newwindow = 2\nSELECT(Select1): focus \nSELECT(Select1): change \n :  >>> OpenWindow\n: blur top-doc\n: focus popup-doc\nINPUT(popupText1): focus \n :  <<< OpenWindow\nSELECT(Select1): blur \nINPUT(popupText1): blur \n: blur popup-doc\n: focus top-doc\n", expected " :  Test with browser.link.open_newwindow = 2\n: focus top-doc\nSELECT(Select1): focus \nSELECT(Select1): change \n :  >>> OpenWindow\n: blur top-doc\n: focus popup-doc\nINPUT(popupText1): focus \n :  <<< OpenWindow\nSELECT(Select1): blur \nINPUT(popupText1): blur \n: blur popup-doc\n: focus top-doc\n"

Comment 12

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1260918387.1260920467.1188.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2009/12/15 15:06:27
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261228846.1261230082.19833.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2009/12/19 05:20:46
s: win32-slave33

Comment 14

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261321647.1261323132.21016.gz

WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2009/12/20 07:07:27
s: win32-slave14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261400810.1261402467.18010.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2009/12/21 05:06:50
s: win32-slave37
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261482843.1261484057.32101.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2009/12/22 03:54:03
s: win32-slave32
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262150631.1262151616.6622.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2009/12/29 21:23:51
s: win32-slave25
WINNT 5.2 mozilla-central debug test mochitests-1/5 [testfailed] Started 07:30, finished 07:51
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262187050.1262188231.29949.gz&fulltext=1
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262494735.1262495863.14619.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2010/01/02 20:58:55
s: win32-slave31
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263412978.1263414635.24900.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2010/01/13 12:02:58
s: win32-slave27
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263831599.1263832620.9393.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263839206.1263841093.8020.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264697234.1264698710.8591.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2010/01/28 08:47:14
s: win32-slave34
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265147615.1265149426.31030.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2010/02/02 13:53:35
s: win32-slave36
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265429829.1265431035.10532.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2010/02/05 20:17:09
s: win32-slave33
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265546209.1265547547.24934.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2010/02/07 04:36:49
s: win32-slave30

Comment 27

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265893891.1265895283.9825.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2010/02/11 05:11:31
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267140251.1267142795.15245.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2010/02/25 15:24:11
s: win32-slave12
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267421423.1267423180.4557.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2010/02/28 21:30:23
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267618445.1267620971.768.gz
OS X 10.5.2 mozilla-central debug test mochitests-1/5 on 2010/03/03 04:14:05
s: bm-xserve16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1267705733.1267709189.14812.gz
Linux mozilla-1.9.2 test mochitests on 2010/03/04 04:28:53  
s: moz2-linux-slave22
https://bugzilla.mozilla.org/show_bug.cgi?id=521355
WINNT 5.2 mozilla-central debug test mochitests-1/5 Started 21:38, finished 22:14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268179716.1268182740.26498.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2010/03/09 16:08:36
s: win32-slave11
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268475241.1268476797.11282.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2010/03/13 02:14:01
s: win32-slave33
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268860424.1268862130.30289.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2010/03/17 14:13:44
s: win32-slave25
OS X 10.5.2 mozilla-central opt test mochitests-1/5 on 2010/03/17 20:38:10  

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268883490.1268884388.26964.gz#err0

30583 INFO TEST-PASS | /tests/content/events/test/test_bug299673-1.html | wrong element is focused after popup was closed
30584 ERROR TEST-UNEXPECTED-FAIL | /tests/content/events/test/test_bug299673-1.html | unexpected events - got " :  Test with browser.link.open_newwindow = 2\n: focus top-doc\nSELECT(Select1): focus \nSELECT(Select1): change \n :  >>> OpenWindow\n: blur top-doc\nINPUT(popupText1): focus \n :  <<< OpenWindow\nSELECT(Select1): blur \nINPUT(popupText1): blur \n: blur popup-doc\n: focus top-doc\n", expected " :  Test with browser.link.open_newwindow = 2\n: focus top-doc\nSELECT(Select1): focus \nSELECT(Select1): change \n :  >>> OpenWindow\n: blur top-doc\n: focus popup-doc\nINPUT(popupText1): focus \n :  <<< OpenWindow\nSELECT(Select1): blur \nINPUT(popupText1): blur \n: blur popup-doc\n: focus top-doc\n"
30586 INFO Running /tests/content/events/test/test_bug299673-2.html...
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268941655.1268944720.18324.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2010/03/18 12:47:35
s: win32-slave06
(Assignee)

Comment 38

8 years ago
Disabled the test, file bug 553417 to write new test.
Status: NEW → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → FIXED
Assignee: nobody → matspal
Flags: in-testsuite+
Target Milestone: --- → mozilla1.9.3a4
Keywords: intermittent-failure
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.